# ANTS-Hub - Copyright (C) Entr'ouvert

from django.conf import settings
from rest_framework import authentication


class ANTSAuthentication(authentication.BaseAuthentication):
    def authenticate(self, request):
        x_hub_rdv_auth_token = request.headers.get('X-Hub-Rdv-Auth-Token')
        if not settings.ANTS_HUB_X_HUB_RDV_AUTH_TOKEN:
            return None

        if x_hub_rdv_auth_token != settings.ANTS_HUB_X_HUB_RDV_AUTH_TOKEN:
            return None

        return (True, None)


class ChronoAuthentication(authentication.BasicAuthentication):
    def authenticate_credentials(self, userid, password, request=None):
        # if userid is not an apikey raise AuthenticationFailed
        return None
